Subject: Re: [PATCH] Limit the number of requests outstanding in ssh-fetch.

From: Stefan Roese <[email-masked]>
Date: Tue, 4 Oct 2005 09:46:48 +0200

On Tuesday 04 October 2005 09:16, Dan Aloni wrote:
> > Lightly tested; I reduced the limit to 5, and pulled a small tree
> > successfully with some of the requests being completed early. I didn't
> > have the test case to verify that a limit of 100 is sufficiently low, but
> > handwaving suggests that it should be.
>
> Good, it seems that your patch works alright with the local Linux complete
> database fetch.

Works for me too (on a big ssh fetch, which stalled always without this 
patch).

Best regards,
Stefan